Overview | Package | Class | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ldi.server.common
Interface QueryResultMetaData

public interface QueryResultMetaData
extends java.io.Serializable

An object that can be used to get information about query execution and query result.

Field Summary
`static java.lang.String` | `TIME_TO_EXECUTE` Name of the statistical attribute that contains query execution time on the server
`static java.lang.String` | `TIME_TO_PREPARE` Name of the statistical attribute that contains query preparation time (compilation time for adhoc queries, plan cloning for stored queries)

Method Summary
`DataAccessInfo` | `getDataAccessInfo()`
`java.lang.String` | `getPlan()`
`java.util.Map` | `getStatistics()` Returns query execution statistics such as compilation time, execution time.
`boolean` | `planIsCached()`

Field Detail

### TIME_TO_PREPARE

    public static final java.lang.String TIME_TO_PREPARE

  Name of the statistical attribute that contains query preparation time (compilation time for adhoc queries, plan cloning for stored queries)

### TIME_TO_EXECUTE

    public static final java.lang.String TIME_TO_EXECUTE

  Name of the statistical attribute that contains query execution time on the server

Method Detail

### getStatistics

    public java.util.Map getStatistics()

  Returns query execution statistics such as compilation time, execution time.

  Returns:
    Map containing statistical attribute -> value pairs

### getPlan

    public java.lang.String getPlan()

### planIsCached

    public boolean planIsCached()

### getDataAccessInfo

    public DataAccessInfo getDataAccessInfo()

  Returns:
    meta-information about the data access points used by the query, including data retrieval time, data retrieval statement/call (when applicable) and number of statement invocations. The data access points include relational sources, XML and CSV file sources, as well as web service, application view and stored procedure calls.
    NOTE: This method returns `null` when `QueryAttribute.COMPILE_ONLY` has been set or the query result is obtained from the cache.

Overview | Package | Class | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation is available at
http://download.oracle.com/docs/cd/E13190_01/liquiddata/docs81